package de.cliffbreak.varo.listeners;

import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.EntityRegainHealthEvent;

import de.cliffbreak.varo.uitls.MessageUtils;

public class EntityRegainHealthListener implements Listener {

    @EventHandler()
    public void onEntityRegainHealth(EntityRegainHealthEvent e) {
        if (e.getEntity() instanceof Player) {
            Player p = (Player) e.getEntity();
            p.sendMessage(MessageUtils.getRichTextComponent("Amount: ", e.getAmount() + "", true));
            p.sendMessage(MessageUtils.getRichTextComponent("Saturation: ", p.getSaturation() + "", true));
            if (e.isFastRegen()) {
                e.setAmount(0.13d);
            }
        }
    }
}